
# GSNA 0.1.4.2
* This version attempts to address a problem coming up with CRAN's development R linux platform tests, which identified a problem with validation of the HTML manual for gsnAddPathwayData & gsnAddPathwaysData that resulted in the note warning "Warning: trimming empty <dt>". The warning is not reproduced on r-hub builder or other uploadable R package build testing services, but these changes should remove the problematic documentation. 

# GSNA 0.1.4.1
* This is the fifth submission to CRAN.
* Spelling errors were fixed, including 'pakage' in DESCRIPTION, 'ATACSeq' which should be 'ATAC-Seq', 'Imagee' which should be 'Image' and a few others.

# GSNA 0.1.4  
* This is the fourth submission to CRAN.  
* Fixes were made to the 'Description' section of the 'DESCRIPTION' file, to apply the required single quote guidelines for package names, program names and API names only.  
* Unexported functions have @noRd tags added to suppress the generation of .Rd files.  
* The @examples tags have been removed for unexported functions, so that example code is not tested or run.  


# GSNA 0.1.3
* This is the third submission to CRAN.  
* It fixes numerous issues raised by the CRAN curator/moderator, including:  
  + Format issues in the DESCRIPTION file.  
  + Missing \value tag in gsnParedVsRawDistancePlot.Rd.  
  + @example tags in documentation for non-exported @noRd tagged functions were removed. The example code was retained in '@details'.  
  + Example code wrapped in \dontrun{} tags was either:
    - Removed and replaced with code updated with runnable code using example data.  
    - Removed altogether, generally in cases where additional external files would be required. (e.g. parsers for GMT (read_gmt()), DAVID (read_david_data_file()) file formats.) Example code may be re-added in the future once example data files are included.  
    - In some cases, examples needed to be wrapped in \donttest{} tags, due to long run-time or requirement of a network connection to download data sets. (gsnPlotNetwork(), pick_MappedGeneSymbol())
  + Several plotting-associated functions have now been changed to internal, non-exported functions. (makeLeafSizeLegend(), makeNodeSizeLegend(), make2ColorLegend(), make1ColorLegend(), etc.)  
  + Functions that formerly set graphical parameters through par() now backup the original parameters before doing so, and restore them automatically through a call to on.exit(par(.par.orig)) (gsnHierarchicalDendrogram(), gsnPlotNetwork(), make1ColorLegend(), make2ColorLegend(), makeLeafSizeLegend(), makeNodeSizeLegend(), and renderCircularDendrogram()). 
  
  

# GSNA 0.1.2
* This version is the second submission version to CRAN.
* Fixes three main NOTE issues:
  1. Use of .plt instead of .plt.leg for make1ColorLegend() and make2ColorLegend()
  2. The 'lost braces' problem.
  3. Excessive package size, due largely to the use of SVG format in the vignette graphics. PNGs are used instead.
* There remain some additional NOTES, generated by devtools::check_rhub(), but they may not be important.
* Additional fixes.
  + Fixed a bug in scoreLFMatrix_C() that hard-coded e_precision = 12. It now works properly.
  + Fixed a bug in gsnPlotNetwork() & gsnHierarchicalDendrogram() that prevented proper rendering of PNG format outputs.

# GSNA 0.1.1
* This is (hopefully) the first public CRAN release version.

# GSNA 0.1.0

* This is the development version prior to CRAN submission.

